cutlass.h File Reference

Basic include for CUTLASS macros. More...

Go to the source code of this file.

## Namespaces

| cutlass

## Macros

#define | CUTLASS_MAJOR 1
#define | CUTLASS_MINOR 0
#define | CUTLASS_PATCH 0
#define | CUTLASS_VERSION ((CUTLASS_MAJOR)*100 + (CUTLASS_MINOR)*10 + CUTLASS_PATCH)
#define | CUTLASS_HOST_DEVICE
#define | CUTLASS_PRAGMA_UNROLL
#define | CUTLASS_PRAGMA_NO_UNROLL
#define | CUTLASS_ASSERT(x) assert(x)

## Macro Definition Documentation

## CUTLASS_ASSERT

#define CUTLASS_ASSERT | ( |  | x | ) | assert(x)

## CUTLASS_HOST_DEVICE

#define CUTLASS_HOST_DEVICE

## CUTLASS_MAJOR

#define CUTLASS_MAJOR 1

## CUTLASS_MINOR

#define CUTLASS_MINOR 0

## CUTLASS_PATCH

#define CUTLASS_PATCH 0

## CUTLASS_PRAGMA_NO_UNROLL

#define CUTLASS_PRAGMA_NO_UNROLL

## CUTLASS_PRAGMA_UNROLL

#define CUTLASS_PRAGMA_UNROLL

## CUTLASS_VERSION

#define CUTLASS_VERSION ((CUTLASS_MAJOR)*100 + (CUTLASS_MINOR)*10 + CUTLASS_PATCH)